searchData={"items":[{"type":"module","title":"RedlockEx","doc":"A module to handle distributed locking using Redis.\n\nThis module provides functionality to attempt to acquire a lock in a distributed system using a Redis backend. It is useful in environments such as Kubernetes where you have multiple instances running and you want to ensure that a particular task is only performed by one of them at any given time.","ref":"RedlockEx.html"},{"type":"module","title":"Examples - RedlockEx","doc":"iex> RedlockEx.attempt_acquire_lock(my_redis_conn, \"my_lock\", 60)\n    :acquired\n\n    iex> RedlockEx.attempt_acquire_lock(my_redis_conn, \"my_lock\", 60)\n    :not_acquired","ref":"RedlockEx.html#module-examples"},{"type":"function","title":"RedlockEx.attempt_acquire_lock/3","doc":"Attempts to acquire a distributed lock with a specified TTL (Time To Live).\n\nThe function tries to acquire a lock by the name provided, and with the specified TTL, using the Redis `SET` command with `NX` and `EX` options.","ref":"RedlockEx.html#attempt_acquire_lock/3"},{"type":"function","title":"Parameters - RedlockEx.attempt_acquire_lock/3","doc":"- `redis_conn`: The Redis connection.\n  - `lock_name`: The unique name identifying the lock.\n  - `ttl_in_seconds`: The time to live for the lock, in seconds. After this duration, the lock will be automatically released.","ref":"RedlockEx.html#attempt_acquire_lock/3-parameters"},{"type":"function","title":"Returns - RedlockEx.attempt_acquire_lock/3","doc":"- `:acquired`: If the lock was successfully acquired.\n  - `:not_acquired`: If the lock could not be acquired, indicating that another process holds the lock.","ref":"RedlockEx.html#attempt_acquire_lock/3-returns"},{"type":"function","title":"Examples - RedlockEx.attempt_acquire_lock/3","doc":"iex> RedlockEx.attempt_acquire_lock(my_redis_conn, \"my_unique_lock\", 60)\n    :acquired\n\n    iex> RedlockEx.attempt_acquire_lock(my_redis_conn, \"my_unique_lock\", 60)\n    :not_acquired","ref":"RedlockEx.html#attempt_acquire_lock/3-examples"}],"content_type":"text/markdown"}